
<!DOCTYPE HTML>
<html lang="" >
    <head>
        <meta charset="UTF-8">
        <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
        <title>PRACTIVE · GitBook</title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="description" content="">
        <meta name="generator" content="GitBook 3.2.3">
        
        
        
    
    <link rel="stylesheet" href="../../gitbook/style.css">

    
            
                
                <link rel="stylesheet" href="../../gitbook/gitbook-plugin-expandable-chapters/expandable-chapters.css">
                
            
                
                <link rel="stylesheet" href="../../gitbook/gitbook-plugin-highlight/website.css">
                
            
                
                <link rel="stylesheet" href="../../gitbook/gitbook-plugin-search/search.css">
                
            
                
                <link rel="stylesheet" href="../../gitbook/gitbook-plugin-fontsettings/website.css">
                
            
        

    

    
        
    
        
    
        
    
        
    
        
    
        
    

        
    
    
    <meta name="HandheldFriendly" content="true"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <link rel="apple-touch-icon-precomposed" sizes="152x152" href="../../gitbook/images/apple-touch-icon-precomposed-152.png">
    <link rel="shortcut icon" href="../../gitbook/images/favicon.ico" type="image/x-icon">

    
    
    <link rel="prev" href="../../doc/1projectmanage/Assessment1project-manage.md" />
    

    </head>
    <body>
        
<div class="book">
    <div class="book-summary">
        
            
<div id="book-search-input" role="search">
    <input type="text" placeholder="Type to search" />
</div>

            
                <nav role="navigation">
                


<ul class="summary">
    
    

    

    
        
        <li class="header">Tutorials</li>
        
        
    
        <li class="chapter " data-level="1.1" data-path="../../">
            
                <a href="../../">
            
                    
                    Introduction
            
                </a>
            

            
        </li>
    
        <li class="chapter " data-level="1.2" >
            
                <a target="_blank" href="https://git-scm.com/">
            
                    
                    Project manage
            
                </a>
            

            
            <ul class="articles">
                
    
        <li class="chapter " data-level="1.2.1" data-path="../../doc/1projectmanage/Assessment1project-manage.md">
            
                <span>
            
                    
                    Assessment
            
                </a>
            

            
        </li>
    
        <li class="chapter active" data-level="1.2.2" data-path="pracvtive.html">
            
                <a href="pracvtive.html">
            
                    
                    PRACTIVE
            
                </a>
            

            
        </li>
    

            </ul>
            
        </li>
    

    

    <li class="divider"></li>

    <li>
        <a href="https://www.gitbook.com" target="blank" class="gitbook-link">
            Published with GitBook
        </a>
    </li>
</ul>


                </nav>
            
        
    </div>

    <div class="book-body">
        
            <div class="body-inner">
                
                    

<div class="book-header" role="navigation">
    

    <!-- Title -->
    <h1>
        <i class="fa fa-circle-o-notch fa-spin"></i>
        <a href="../.." >PRACTIVE</a>
    </h1>
</div>




                    <div class="page-wrapper" tabindex="-1" role="main">
                        <div class="page-inner">
                            
<div id="book-search-results">
    <div class="search-noresults">
    
                                <section class="normal markdown-section">
                                
                                <p>&#x4E0A;&#x8BFE;&#x7684;&#x6B65;&#x9AA4;&#xFF0C;&#x8FDE;&#x63A5;&#x7684;&#x5DE5;&#x5177;&#x56FE;&#x7247;&#xFF0C;&#x51FA;&#x73B0;&#x7684;&#x95EE;&#x9898;&#xFF0C;&#x5982;&#x4F55;&#x89E3;&#x51B3;&#x7684;&#x3002;</p>
<h1 id="the-basic-steps">The basic steps</h1>
<h2 id="1download-required-software">1.download required software.<font face="" color="blue" size="4"></font></h2>
<ul>
<li>[Pic go]</li>
<li>Git</li>
<li>Visual Studio Code</li>
<li>Node.js</li>
</ul>
<h2 id="2commissioning">2.commissioning</h2>
<ul>
<li><font face="" color="blue" size="4">Pic go
<font face="" color="black" size="3"><ul>
<li>Insert plug-in components
<img src="https://gitlab.com/pic-01/pic-liu/uploads/9599eafeaa057b278748d467f0c45e62/picgo.png" alt=""></li>
<li>settings
<img src="https://gitlab.com/pic-01/pic-liu/uploads/9c2a7329accd390648ce27219f0f7cb4/pic&#x56FE;&#x5E8A;&#x8BBE;&#x7F6E;.png" alt=""></li>
<li>New group
<img src="https://gitlab.com/pic-01/pic-liu/uploads/c414f2465778cff59a39ad2aca7b1c82/new_group.png" alt="">
&#x2460;
<img src="https://gitlab.com/pic-01/pic-liu/uploads/ce131db0add75b247655b9be2958292f/_.png" alt="">
&#x2461;
<img src="https://gitlab.com/pic-01/pic-liu/uploads/363a608dd9f87b3727c9ff7a9c3652f8/_.png" alt="">
<img src="https://gitlab.com/pic-01/pic-liu/uploads/dba8f1f7d6d9fe7a44da502eff09fdb2/_&#x540E;&#x7EED;.png" alt="">
&#x2462;
<img src="https://gitlab.com/pic-01/pic-liu/uploads/1458d4b466e1833e42f70e31839ca4a3/_.png" alt=""><ul>
<li>Back Picgo. </li>
<li>Enter the imformation.Click on &quot;&#x8BBE;&#x4E3A;&#x9ED8;&#x8BA4;&#x56FE;&#x5E8A;&#x201D; and &#x201C;&#x786E;&#x5B9A;&#x201D;.</li>
<li>Now you can upload the pictures you need.</li>
</ul>
</li>
</ul>
</font></font></li>
<li><p><font face="" color="blue" size="4">Git
<font face="" color="red" size="3">
Preparation Phase</font></font></p>
<ul>
<li><p>Create a new project and create a new file.
<img src="https://gitlab.com/pic-01/pic-liu/uploads/9be68ceb52000875ccbde8b1088fdd0b/gitlab1.png" alt="">
<img src="https://gitlab.com/pic-01/pic-liu/uploads/68d2c4e477f5f8ccebe9fc58e377fe28/gitlab2.png" alt=""><font face="" color="black" size="3"></font></p>
<ul>
<li>1.Initialization<pre><code>$ cd /c/Users/95389/Documents/test
$ git init 
Initialized empty Git repository in C:/Users/95389/Documents/test/.git/
</code></pre></li>
<li>2.Configure,setting up local identity <pre><code>$ git config user.name &quot;XXX&quot;  
$ git config user.email &quot;XXX@xx.com&quot;:
</code></pre></li>
<li>3.Clone<pre><code>$ git clone git@gitlab.com:nex-fab/guide-book.git &quot;your url&quot;
</code></pre><img src="https://gitlab.com/pic-01/pic-liu/uploads/da275fe46be279737fbb1b4c04234c54/clone.png" alt=""></li>
</ul>
</li>
<li><p>If Ok , we will find the following information</p>
<pre><code>wait...
</code></pre></li>
<li><p>But if we get the following</p>
<pre><code>fatal: could not create leading directories of &apos;git@gitlab.com:dd_ddd/test.git&apos;: Invalid argument
</code></pre><p><font face="" color="black" size="3">  or</font></p>
<pre><code>fatal: Could not read from remote repository.
Please make sure you have the correct access rightsand the repository exists.
</code></pre></li>
<li>The problem is SSH key&#xFF0C;check if we have generate SSH.<pre><code>$ ls ~/.ssh/
</code></pre></li>
<li>There will be two result: Result1: we have the following information.<pre><code>$ id_rsa id_rsa.pub known_hosts
</code></pre></li>
<li>we can skip &quot;generate SSH&quot; Result2: no above information, we should &quot;generate SSH&quot;<pre><code>$ ssh-keygen -t rsa -C  &quot;953896560@qq.com&quot;
Generating public/private rsa key pair.
Enter file in which to save the key (/c/Users/95389/.ssh/id_rsa):
/c/Users/95389/.ssh/id_rsa already exists.
Overwrite (y/n)? y
Enter passphrase (empty for no passphrase):
Enter same passphrase again:
Your identification has been saved in /c/Users/95389/.ssh/id_rsa
Your public key has been saved in /c/Users/95389/.ssh/id_rsa.pub
The key fingerprint is:
SHA256:bXutx1HRQzboaK8cu4VYovxBHnaHTA/Jqr3ux8Zz1qw 953896560@qq.com
The key&apos;s randomart image is:
+---[RSA 3072]----+
|              o+.|
|          . ...oo|
|           =o   o|
|         .+o+.  .|
|        S*+=.o . |
|      . B.*ooo.  |
|       + ==.=o+. |
|        . o@.+oo |
|        o=o.*E.  |
+----[SHA256]-----+
</code></pre></li>
<li><p>Check the SSH key and copy to gitlab</p>
<pre><code>$ cat ~/.ssh/id_rsa.pub
</code></pre><pre><code>$ ssh-rsa AAAAB....=your email
</code></pre><p><img src="https://gitlab.com/pic-01/pic-liu/uploads/36e345d882ddb6c9e3d94c6376de6624/settings.png" alt="">
then
<img src="https://gitlab.com/pic-01/pic-liu/uploads/b443a907aadf217a6cc16c5104acff8c/paste_ssh.png" alt=""></p>
</li>
<li><p>git clone again</p>
<pre><code>$ git clone git@gitlab.com:dd_ddd/test.git
Cloning into &apos;test&apos;...
remote: Enumerating objects: 9, done.
remote: Counting objects: 100% (9/9), done.
remote: Compressing objects: 100% (6/6), done.
remote: Total 9 (delta 1), reused 0 (delta 0), pack-reused 0
Receiving objects: 100% (9/9), done.
Resolving deltas: 100% (1/1), done.
</code></pre></li>
<li><p>Now you can get data to your local machine
<img src="https://gitlab.com/pic-01/pic-liu/uploads/5abaeb3548fa7fba3537181c1d953d5e/clone_&#x5230;&#x672C;&#x5730;.png" alt=""></p>
</li>
<li><p>Modify SUMMARY files on the gitlab&#x2014;&#x2014;&#x2014;&#x2014;&quot;hello world 111&quot;</p>
<ul>
<li>Command</li>
</ul>
</li>
<li><p>git pull : download gitlab to local</p>
<pre><code>$ git pull origin master
fatal: &apos;origin&apos; does not appear to be a git repository
fatal: Could not read from remote repository.

Please make sure you have the correct access rights and the repository exists.
</code></pre></li>
<li>If you encounter the above situation.</li>
<li>solution : we need connect remote as origin<pre><code>git remote add origin &quot;your url&quot;
</code></pre><pre><code>$ git pull origin master
remote: Enumerating objects: 12, done.
remote: Counting objects: 100% (12/12), done.
remote: Compressing objects: 100% (8/8), done.
remote: Total 12 (delta 2), reused 0 (delta 0), pack-reused 0
Unpacking objects: 100% (12/12), 1.24 KiB | 7.00 KiB/s, done.
From gitlab.com:dd_ddd/test
* branch            master     -&gt; FETCH_HEAD
* [new branch]      master     -&gt; origin/master
</code></pre></li>
<li>Now the SUMMARY file is changed.
<img src="https://gitlab.com/pic-01/pic-liu/uploads/6861e4bdbd20f2820df7871e2e024457/Git_pull.png" alt=""></li>
<li>The same, we can modify the local SUMMARY to achieve the effect  SUMMARY of the website
<img src="https://gitlab.com/pic-01/pic-liu/uploads/bd1a6f9c15d3eee66fbfc1d18eb0f792/&#x4FEE;&#x6539;&#x672C;&#x5730;SUMMARY.png" alt=""></li>
<li><p>git push</p>
<pre><code>fatal: The current branch master has no upstream branch.
To push the current branch and set the remote as upstream, use

git push --set-upstream origin master
</code></pre><pre><code>$ git add --all
</code></pre><pre><code>$ git commit -m &quot;code&quot;
[master 12af0f1] code
2 files changed, 2 insertions(+), 1 deletion(-)
create mode 160000 test
</code></pre><pre><code>git push origin master
Enumerating objects: 5, done.
Counting objects: 100% (5/5), done.
Delta compression using up to 8 threads
Compressing objects: 100% (2/2), done.
Writing objects: 100% (3/3), 346 bytes | 173.00 KiB/s, done.
Total 3 (delta 0), reused 0 (delta 0)
To gitlab.com:dd_ddd/test.git
3583677..12af0f1  master -&gt; master
</code></pre><p><img src="https://gitlab.com/pic-01/pic-liu/uploads/1aa1c5f02ce7bae68ae2feee8f55ac2f/SUMMARY.png" alt=""></p>
</li>
</ul>
</li>
<li><p><font face="" color="blue" size="4">Visual Studio Code
<font face="" color="black" size="3">
<img src="https://gitlab.com/pic-01/pic-liu/uploads/55f4baa5f0779cc0dbd26b1d6c8d89ef/TXT-MARKDOWN.jpg" alt="">
<img src="https://gitlab.com/pic-01/pic-liu/uploads/018fa63e303a4da2cf02735fbfa2ce74/vscode_&#x9884;&#x89C8;.jpg" alt="">
<img src="https://gitlab.com/pic-01/pic-liu/uploads/2bc087bc067959b80256f7926c606bd4/preview.jpg" alt=""></font></font></p>
<ul>
<li>On the edit page</li>
</ul>
</li>
</ul>
<table>
<thead>
<tr>
<th>name</th>
<th style="text-align:center">Are</th>
</tr>
</thead>
<tbody>
<tr>
<td>#</td>
<td style="text-align:center">first level title</td>
</tr>
<tr>
<td>##</td>
<td style="text-align:center">Secondary title</td>
</tr>
<tr>
<td>*....</td>
<td style="text-align:center">list</td>
</tr>
<tr>
<td><em> ...</em></td>
<td style="text-align:center">Italic</td>
</tr>
<tr>
<td><strong> .....</strong></td>
<td style="text-align:center">Bold</td>
</tr>
</tbody>
</table>
<pre><code>[&#x8FD9;&#x662F;baidu](www.baidu.com)
![&#x8FD9;&#x662F;&#x56FE;&#x7247;](https://goss1.cfp.cn/creative/vcg/800/version23/VCG41649681841.jpg)
&lt;font face=&quot;&#x534E;&#x6587;&#x5F69;&#x4E91;&quot; color=red size=5&gt;&#x5B57;&#x4F53;&#x662F;&#x201C;&#x534E;&#x6587;&#x5F69;&#x4E91;&#x201D;&#xFF0C;&#x989C;&#x8272;&#x662F;&#x7EA2;&#x8272;&#xFF0C;&#x5B57;&#x53F7;&#x662F;5
</code></pre><p><a href="www.baidu.com">&#x8FD9;&#x662F;baidu</a>
<img src="https://cdn2.hubspot.net/hubfs/3027780/coronabanner.png" alt="&#x8FD9;&#x662F;&#x56FE;&#x7247;"></p>
<p><font face="&#x534E;&#x6587;&#x5F69;&#x4E91;" color="red" size="5">&#x5B57;&#x4F53;&#x662F;&#x201C;&#x534E;&#x6587;&#x5F69;&#x4E91;&#x201D;&#xFF0C;&#x989C;&#x8272;&#x662F;&#x7EA2;&#x8272;&#xFF0C;&#x5B57;&#x53F7;&#x662F;5</font></p>
<p><font face="&#x9ED8;&#x8BA4;" color="blue" size="4"></font></p>
<ul>
<li>node.js
<font face="" color="black" size="3">
```
$ node -v
v12.16.1
$ sudo npm install -g gitbook-cli
Password:
/usr/local/bin/gitbook -&gt; /usr/local/lib/node_modules/gitbook-cli/bin/gitbook.js</font></li>
<li>gitbook-cli@2.3.2
added 578 packages from 672 contributors in 31.08s
$ gitbook -V
CLI version: 2.3.2
Installing GitBook 3.2.3
xcode-select: error: tool &apos;xcodebuild&apos; requires Xcode, but active developer directory &apos;/Library/Developer/CommandLineTools&apos; is a command line tools instance</li>
</ul>
<p>xcode-select: error: tool &apos;xcodebuild&apos; requires Xcode, but active developer directory &apos;/Library/Developer/CommandLineTools&apos; is a command line tools instance</p>
<p>No receipt for &apos;com.apple.pkg.CLTools_Executables&apos; found at &apos;/&apos;.</p>
<p>No receipt for &apos;com.apple.pkg.DeveloperToolsCLILeo&apos; found at &apos;/&apos;.</p>
<p>No receipt for &apos;com.apple.pkg.DeveloperToolsCLI&apos; found at &apos;/&apos;.</p>
<p>gyp: No Xcode or CLT version detected!
xcode-select: error: tool &apos;xcodebuild&apos; requires Xcode, but active developer directory &apos;/Library/Developer/CommandLineTools&apos; is a command line tools instance</p>
<p>xcode-select: error: tool &apos;xcodebuild&apos; requires Xcode, but active developer directory &apos;/Library/Developer/CommandLineTools&apos; is a command line tools instance</p>
<p>No receipt for &apos;com.apple.pkg.CLTools_Executables&apos; found at &apos;/&apos;.</p>
<p>No receipt for &apos;com.apple.pkg.DeveloperToolsCLILeo&apos; found at &apos;/&apos;.</p>
<p>No receipt for &apos;com.apple.pkg.DeveloperToolsCLI&apos; found at &apos;/&apos;.</p>
<p>gyp: No Xcode or CLT version detected!
gitbook@3.2.3 ../../var/folders/1y/wr1qt4y12hjfxy6przpsq00r0000gn/T/tmp-3923f5PAt13AC8XP/node_modules/gitbook
&#x251C;&#x2500;&#x2500; escape-string-regexp@1.0.5
&#x251C;&#x2500;&#x2500; escape-html@1.0.3
&#x251C;&#x2500;&#x2500; destroy@1.0.4
&#x251C;&#x2500;&#x2500; ignore@3.1.2
&#x251C;&#x2500;&#x2500; bash-color@0.0.4
&#x251C;&#x2500;&#x2500; gitbook-plugin-livereload@0.0.1
&#x251C;&#x2500;&#x2500; cp@0.2.0
&#x251C;&#x2500;&#x2500; graceful-fs@4.1.4
&#x251C;&#x2500;&#x2500; nunjucks-do@1.0.0
&#x251C;&#x2500;&#x2500; github-slugid@1.0.1
&#x251C;&#x2500;&#x2500; direction@0.1.5
&#x251C;&#x2500;&#x2500; q@1.4.1
&#x251C;&#x2500;&#x2500; spawn-cmd@0.0.2
&#x251C;&#x2500;&#x2500; gitbook-plugin-fontsettings@2.0.0
&#x251C;&#x2500;&#x2500; open@0.0.5
&#x251C;&#x2500;&#x2500; is@3.3.0
&#x251C;&#x2500;&#x2500; object-path@0.9.2
&#x251C;&#x2500;&#x2500; extend@3.0.2
&#x251C;&#x2500;&#x2500; json-schema-defaults@0.1.1
&#x251C;&#x2500;&#x2500; gitbook-plugin-search@2.2.1
&#x251C;&#x2500;&#x2500; jsonschema@1.1.0
&#x251C;&#x2500;&#x2500; crc@3.4.0
&#x251C;&#x2500;&#x2500; urijs@1.18.0
&#x251C;&#x2500;&#x2500; semver@5.1.0
&#x251C;&#x2500;&#x2500; immutable@3.8.2
&#x251C;&#x2500;&#x2500; front-matter@2.3.0
&#x251C;&#x2500;&#x2500; dom-serializer@0.1.0 (domelementtype@1.1.3, entities@1.1.2)
&#x251C;&#x2500;&#x2500; omit-keys@0.1.0 (array-difference@0.0.1, isobject@0.2.0)
&#x251C;&#x2500;&#x2500; error@7.0.2 (xtend@4.0.2, string-template@0.2.1)
&#x251C;&#x2500;&#x2500; npmi@2.0.1 (semver@4.3.6)
&#x251C;&#x2500;&#x2500; mkdirp@0.5.1 (minimist@0.0.8)
&#x251C;&#x2500;&#x2500; resolve@1.1.7
&#x251C;&#x2500;&#x2500; tmp@0.0.28 (os-tmpdir@1.0.2)
&#x251C;&#x2500;&#x2500; send@0.13.2 (statuses@1.2.1, range-parser@1.0.3, fresh@0.3.0, etag@1.7.0, ms@0.7.1, depd@1.1.2, mime@1.3.4, debug@2.2.0, http-errors@1.3.1, on-finished@2.3.0)
&#x251C;&#x2500;&#x2500; gitbook-plugin-theme-default@1.0.7
&#x251C;&#x2500;&#x2500; rmdir@1.2.0 (node.flow@1.2.3)
&#x251C;&#x2500;&#x2500; js-yaml@3.13.1 (esprima@4.0.1, argparse@1.0.10)
&#x251C;&#x2500;&#x2500; tiny-lr@0.2.1 (parseurl@1.3.3, livereload-js@2.4.0, qs@5.1.0, debug@2.2.0, faye-websocket@0.10.0, body-parser@1.14.2)
&#x251C;&#x2500;&#x2500; fresh-require@1.0.3 (is-require@0.0.1, shallow-copy@0.0.1, sleuth@0.1.1, astw@1.3.0, acorn@0.9.0, through2@0.6.5, escodegen@1.14.1)
&#x251C;&#x2500;&#x2500; gitbook-plugin-lunr@1.2.0 (html-entities@1.2.0, lunr@0.5.12)
&#x251C;&#x2500;&#x2500; gitbook-plugin-highlight@2.0.2 (highlight.js@9.2.0)
&#x251C;&#x2500;&#x2500; moment@2.13.0
&#x251C;&#x2500;&#x2500; gitbook-plugin-sharing@1.0.2 (lodash@3.10.1)
&#x251C;&#x2500;&#x2500; gitbook-markdown@1.3.2 (kramed-text-renderer@0.2.1, gitbook-html@1.3.3, kramed@0.5.6, lodash@4.17.15)
&#x251C;&#x2500;&#x2500; i18n-t@1.0.1 (lodash@4.17.15)
&#x251C;&#x2500;&#x2500; gitbook-asciidoc@1.2.2 (gitbook-html@1.3.3, asciidoctor.js@1.5.5-1, lodash@4.17.15)
&#x251C;&#x2500;&#x2500; npm@3.9.2
&#x251C;&#x2500;&#x2500; cheerio@0.20.0 (entities@1.1.2, css-select@1.2.0, lodash@4.17.15, htmlparser2@3.8.3, jsdom@7.2.2)
&#x251C;&#x2500;&#x2500; chokidar@1.5.0 (async-each@1.0.3, path-is-absolute@1.0.1, inherits@2.0.4, glob-parent@2.0.0, is-glob@2.0.1, is-binary-path@1.0.1, anymatch@1.3.2, readdirp@2.2.1)
&#x251C;&#x2500;&#x2500; nunjucks@2.5.2 (asap@2.0.6, yargs@3.32.0, chokidar@1.7.0)
&#x251C;&#x2500;&#x2500; read-installed@4.0.3 (debuglog@1.0.1, util-extend@1.0.3, slide@1.1.6, readdir-scoped-modules@1.1.0, read-package-json@2.1.1)
&#x251C;&#x2500;&#x2500; cpr@1.1.1 (rimraf@2.4.5)
&#x251C;&#x2500;&#x2500; request@2.72.0 (tunnel-agent@0.4.3, forever-agent@0.6.1, oauth-sign@0.8.2, aws-sign2@0.6.0, is-typedarray@1.0.0, caseless@0.11.0, stringstream@0.0.6, aws4@1.9.1, isstream@0.1.2, json-stringify-safe@5.0.1, tough-cookie@2.2.2, node-uuid@1.4.8, qs@6.1.2, combined-stream@1.0.8, mime-types@2.1.26, hawk@3.1.3, bl@1.1.2, form-data@1.0.1, http-signature@1.1.1, har-validator@2.0.6)
&#x2514;&#x2500;&#x2500; juice@2.0.0 (deep-extend@0.4.2, slick@1.12.2, batch@0.5.3, cssom@0.3.1, commander@2.9.0, cross-spawn-async@2.2.5, web-resource-inliner@2.0.0)
GitBook version: 3.2.3</p>

                                
                                </section>
                            
    </div>
    <div class="search-results">
        <div class="has-results">
            
            <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
            <ul class="search-results-list"></ul>
            
        </div>
        <div class="no-results">
            
            <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
            
        </div>
    </div>
</div>

                        </div>
                    </div>
                
            </div>

            
                
                <a href="../../doc/1projectmanage/Assessment1project-manage.md" class="navigation navigation-prev navigation-unique" aria-label="Previous page: Assessment">
                    <i class="fa fa-angle-left"></i>
                </a>
                
                
            
        
    </div>

    <script>
        var gitbook = gitbook || [];
        gitbook.push(function() {
            gitbook.page.hasChanged({"page":{"title":"PRACTIVE","level":"1.2.2","depth":2,"previous":{"title":"Assessment","level":"1.2.1","depth":2,"path":"doc/1projectmanage/Assessment1project-manage.md","ref":"doc/1projectmanage/Assessment1project-manage.md","articles":[]},"dir":"ltr"},"config":{"gitbook":"*","theme":"default","variables":{},"plugins":["expandable-chapters"],"pluginsConfig":{"expandable-chapters":{},"highlight":{},"search":{},"lunr":{"maxIndexSize":1000000,"ignoreSpecialCharacters":false},"sharing":{"facebook":true,"twitter":true,"google":false,"weibo":false,"instapaper":false,"vk":false,"all":["facebook","google","twitter","weibo","instapaper"]},"fontsettings":{"theme":"white","family":"sans","size":2},"theme-default":{"styles":{"website":"styles/website.css","pdf":"styles/pdf.css","epub":"styles/epub.css","mobi":"styles/mobi.css","ebook":"styles/ebook.css","print":"styles/print.css"},"showLevel":false}},"structure":{"langs":"LANGS.md","readme":"README.md","glossary":"GLOSSARY.md","summary":"SUMMARY.md"},"pdf":{"pageNumbers":true,"fontSize":12,"fontFamily":"Arial","paperSize":"a4","chapterMark":"pagebreak","pageBreaksBefore":"/","margin":{"right":62,"left":62,"top":56,"bottom":56}},"styles":{"website":"styles/website.css","pdf":"styles/pdf.css","epub":"styles/epub.css","mobi":"styles/mobi.css","ebook":"styles/ebook.css","print":"styles/print.css"}},"file":{"path":"liuliuliu/1pm/pracvtive.md","mtime":"2020-03-26T00:52:03.246Z","type":"markdown"},"gitbook":{"version":"3.2.3","time":"2020-03-30T01:51:19.989Z"},"basePath":"../..","book":{"language":""}});
        });
    </script>
</div>

        
    <script src="../../gitbook/gitbook.js"></script>
    <script src="../../gitbook/theme.js"></script>
    
        
        <script src="../../gitbook/gitbook-plugin-expandable-chapters/expandable-chapters.js"></script>
        
    
        
        <script src="../../gitbook/gitbook-plugin-search/search-engine.js"></script>
        
    
        
        <script src="../../gitbook/gitbook-plugin-search/search.js"></script>
        
    
        
        <script src="../../gitbook/gitbook-plugin-lunr/lunr.min.js"></script>
        
    
        
        <script src="../../gitbook/gitbook-plugin-lunr/search-lunr.js"></script>
        
    
        
        <script src="../../gitbook/gitbook-plugin-sharing/buttons.js"></script>
        
    
        
        <script src="../../gitbook/gitbook-plugin-fontsettings/fontsettings.js"></script>
        
    

    </body>
</html>

